package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职业对象 mall_career
 * 
 * @author LCL
 * @date 2023-10-19
 */
public class MallCareer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 职业主键ID */
    private Long careerId;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 职业名称 */
    @Excel(name = "职业名称")
    private String careerName;

    /** 平均年薪 */
    @Excel(name = "平均年薪")
    private BigDecimal careerMoney;

    /** 职业简介 */
    @Excel(name = "职业简介")
    private String careerSynopsis;

    /** 职业介绍 */
    @Excel(name = "职业介绍")
    private String obtainIntroduce;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCareerId(Long careerId) 
    {
        this.careerId = careerId;
    }

    public Long getCareerId() 
    {
        return careerId;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setCareerName(String careerName) 
    {
        this.careerName = careerName;
    }

    public String getCareerName() 
    {
        return careerName;
    }
    public void setCareerMoney(BigDecimal careerMoney) 
    {
        this.careerMoney = careerMoney;
    }

    public BigDecimal getCareerMoney() 
    {
        return careerMoney;
    }
    public void setCareerSynopsis(String careerSynopsis) 
    {
        this.careerSynopsis = careerSynopsis;
    }

    public String getCareerSynopsis() 
    {
        return careerSynopsis;
    }
    public void setObtainIntroduce(String obtainIntroduce) 
    {
        this.obtainIntroduce = obtainIntroduce;
    }

    public String getObtainIntroduce() 
    {
        return obtainIntroduce;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("careerId", getCareerId())
            .append("level", getLevel())
            .append("icon", getIcon())
            .append("careerName", getCareerName())
            .append("careerMoney", getCareerMoney())
            .append("careerSynopsis", getCareerSynopsis())
            .append("obtainIntroduce", getObtainIntroduce())
            .append("isShow", getIsShow())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
